package nodatafound.mjpmsuc.withopens;

import org.junit.jupiter.api.Test;

public class NotExportedOpenToMockitoProtectedTest {
  @Test
  public void test_protected_class_not_exported_but_opened_to_mockito() {
    /*
     * mockito is in class path, but we use a opens specific to mockito (it has a
     * "Automatic-Module-Name"): it should be able to access public class (if
     * I'm not wrong).
     */
    final nodatafound.mjpmsuc.withopens.NotExportedOpenToMockitoProtected d = org.mockito.Mockito
        .mock(nodatafound.mjpmsuc.withopens.NotExportedOpenToMockitoProtected.class);
    System.out.println(d);
  }

}
